This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 493681 - RFE: grubby should be able to add entries at the end as well as the beginning of grub.conf
RFE: grubby should be able to add entries at the end as well as the beginning...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Paulo Roma Cavalcanti
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: 489110
  Show dependency treegraph
 
Reported: 2009-04-02 12:27 EDT by Andre Robatino
Modified: 2010-05-03 03:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-03 03:45:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2009-04-02 12:27:42 EDT
Description of problem:
It appears that grubby only knows how to add entries at the beginning of grub.conf, which is fine if only only needs to add kernels, and only in chronological order.  But one might want to add kernels out of order, but have them properly sorted in grub.conf anyway.  In addition, memtest86+ uses grubby to add the Memtest86+ entry, which should really be added at the end, but due to grubby's limitation it has to add it at the beginning (see bug #489110).  It would be nice if grubby had enough extra flexibility to handle these situations somehow.

Version-Release number of selected component (if applicable):
grubby-6.0.81-1.fc11
Comment 1 Paulo Roma Cavalcanti 2009-04-03 08:12:40 EDT
For the memtest86+ case, it is also important 
the ability of adding parameters not necessarily
at the end of the line, as exampled below:

kernel --type=netbsd /memtest86+-2.11
Comment 2 Balaji Ravindran 2009-04-07 23:59:09 EDT
Comment from Bug Zapper
=======================

Thank you for your bug report. This looks to me like a future feature wish-list.

Requests for packaging/Feature requests are kept at: 
https://fedoraproject.org/wiki/Package_maintainers_wishlist 

Please add this package/Feature request to this list if it isn't there already. 

I could change the status as CLOSED:NOTABUG, if someone else could approve my comment.

Thanks you 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Andre Robatino 2009-04-08 04:26:12 EDT
Since fixing bug #489110 depends on this additional functionality (unless the code of grubby is copied and modified in memtest86+, which would be a bad idea), I'm not sure this should be considered merely a feature wish-list.  Please do not close this bug.
Comment 4 Hans de Goede 2009-04-08 04:31:59 EDT
(In reply to comment #3)
> Since fixing bug #489110 depends on this additional functionality (unless the
> code of grubby is copied and modified in memtest86+, which would be a bad
> idea), I'm not sure this should be considered merely a feature wish-list. 
> Please do not close this bug.  

I must say the chance of someone finding the time to implement this is
rather small. Why can't the memtest86+ post install script just
grep for memtest86 in grub.conf and if it is not there already
just append the relevant lines using echo "...." >> /etc/grub.conf ?
Comment 5 Andre Robatino 2009-04-08 04:40:22 EDT
Paulo, what do you think?  I will close this as NOTABUG (and not even bother to add it to the feature wish-list) if you think you can fix bug #489110 using Hans de Goede's suggestion.  Thinking about the issue of keeping kernels sorted, I realized that entries could be added by hand, and that if the existing entries were unsorted, there's no good way for grubby to fix that anyway.
Comment 6 Paulo Roma Cavalcanti 2009-04-08 06:18:17 EDT
Grubby is a C application (written by RedHat), 
which is able to deal with grub and lilo.
This is the reason for memtest86+ using it, I guess.

Actually, the recent modifications for supporting the elf
version will not work with lilo (although I think lilo is no longer
supported in Fedora).

Furthermore, Warren Togami and Jeremy Katz are against updating grub.conf
(please, see the last comment on # 494157).

I know I can forget grubby at all, and easily add memtest entry
at the end of grub.conf, but it seems to me that a lot of people
will think this is an insecure/undesirable approach.

As soon as we reach to a consensus, I will be glad to implement
anything the community thinks it is the best.
Comment 7 Hans de Goede 2010-01-12 10:32:35 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.
Comment 8 Anton Arapov 2010-04-08 06:54:07 EDT
  Seems to me a grubby feature rather than mkinitrd bug. Right?
Comment 9 Anton Arapov 2010-04-08 06:58:01 EDT
Paulo, are you still willing to implement this?
Comment 10 Anton Arapov 2010-05-03 03:45:13 EDT
...anyone, feel free to reopen and/or work on it, in case you're interested.

Note You need to log in before you can comment on or make changes to this bug.